2014-09-10  Felipe Castro (-) <fefcas@gmail.com>;

	* Release 3.01
	* Added:
	- Gurmukhi Jhelum keyboard for Punjabi language (normal and shifted).
	- AppData file, with description and screenshot links for software
	centers.
	- AppIcons with resolutions 64x64 and 96x96.
	* Fixed:
	- Punjabi characters now are managed correctly.
	- Maybe the annoying wrapping bug has also been fixed (Hallelujah!).
	- Layout querty_ca_quebec.kbd not presenting isolated acute anymore,
	using now the letter "é".
	- Reactivated the spin button to select the basic lesson on progress
	charts.
	- Return of value -1 for pointer in gtk_databox_get_graphs(), now
	returning NULL.
	- Windows issue when selecting default language (e.g. with en_IN).
	- Now the internal GtkDatabox library has its name moved to
	"gtkdataboks", to avoid conflicting with the upstream library.
	* Changed:
	- Reset button put a bit aside from the Close button, in the progress
	charts.
	- New phrases for C.paragraphs (default English), avoiding political
	subjects.
	- Some new phrases for pt_br.paragraphs.
	- Backspace allows to repeat accomplished lesson in basic module.
	* Added translations:
	- Punjabi.
	- Slovenian.
	* Fixed messages:
	- Typo: Kunf-fu mastering --> Kung-fu mastery
	- Idiom: make better --> do better
	* Updated translations:
	- Czech.
	- Galician.
	- German.
	- Swedish (also sv.paragraphs and sv.words).

2014-01-21  Felipe Castro (-) <fefcas@gmail.com>;

	* Release 3.00
	* Fixed:
	- Typo: prefered --> preferred
	- Manpage: minus as hyphen corrected with escapes (\-)
	* Changed:
	- Migrated from GTK2 to GTK3.
	- GtkDatabox is incorporated statically, because its last release does
	  not support GTK3 yet.
	- FontSelectionDialog is deprecated, so using now a FontButton.
	- Some translatable messages were reviewed.
	- Default background color for the tutor practice text came back to
	  ice-white: colors are easier customizable in the preferences.ini file.
	* Added:
	- Keywords in the klavaro.desktop file.
	- Goals for touch typing skill are now configurable through the
	  prefences.ini file.
	- Programmer Dvorak keyboard layout added (dvorak_us_prog.kbd).
	* Updated translations:
	- Basque.
	- Danish.
	- Dutch.
	- Esperanto.
	- Greek.
	- Hungarian.
	- Portuguese (Brazilian).
	- Ukrainian.
	- Vietnamese.
	* Added translations:
	- Finnish (partial).

2014-01-03  Felipe Castro (-) <fefcas@gmail.com>; gettextize (=)

	* Release 2.01
	* Fixed:
	- Icon indication in the .desktop file now gives only the relative
	  name (klavaro), not the complete absolute path: more general.
	- Italian translation, _Next <==> _Previous (by hand, waiting update
	  from the Translation Project)
	- Symbols '-' and '\' at middle of words are avoided now; and '´' is
	  avoided at end of words (adapt module).
	- It was aborting in Windows systems where LANG=en_US.
	* Changed:
	= Makefile.am (ACLOCAL_AMFLAGS): New variable.
	= (EXTRA_DIST): Add m4/ChangeLog.
	= configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.18.3.
	* Updated translations:
	- Kazakh
	- Khirgyz

2013-09-22 Felipe Castro (-) <fefcas@gmail.com>

	* Release 2.00
	* Changed:
	- ru.paragraphs for practicing module fluidity in Russian.
	- Not relocating very old paths to the "newer" ones.

2013-08-31 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.9.9
	* Added translations:
	- Greek
	* Fixed:
	- Turkish keyboard layouts.
	* Changed:
	- Updated the greek keyboard layout, the old one is renamed to qwerty_old.
	- Default background color for the tutor practice text made more greenish.
	- Updated autotools and gettext infrastructure.

2013-08-01 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.9.8
	* Updated translations:
	- Esperanto.
	- French.
	- Vietnamese.
	- Kirghiz.

2013-02-23 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.9.7
	* Added:
	- Bulgarian translation.
	* Updated:
	- Kyrgyz translation.
	- Galician translation.
	* Changed:
	- Galician text for fluidity practice, it had content with violence.
	- Galician words for speed practice.
	- Filtering progress charts according to keyboard (basic & adapt) or
	  language (velo & fluid). See side effects on NEWS!
	- Dismissing keys which are not in the current keyboard (keyset), in
	  the error/speed accounting process for the adapt personal
	  practicing. Results for these are saved now in specific files, for
	  each keyboard. See side effects on NEWS!

2012-11-20 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.9.6
	* Added:
	- Kyrgyz translation (partial)
	- Telugu translation (partial)
	- Workman (US) layout
	* Changed:
	- Explicit linking with gmodule-2.0, to avoid problem with Implicit
	DSO linking (in Fedora).
	- Orange color for keys now a bit darker.
	- Basic lessons with only 2 letters are now shorter (4 lines only).
	- Russian internal sub-dictionary changed, because of spelling errors.
	* Updated:
	- Automake files (1.11.6)
	- Basque translation
	- Russian translation

2012-06-17 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.9.5
	* Added:
	- Warning about the need to use backspace on the fluidity module. 
	- Wolof translation.
	* Fixed:
	- dvorak_es_nativo.kbd: it missed the key <
	- Blinking cursor wasn't lighted on at every touch for basic and adapt modules.
	* Changed:
	- Upper limit for speed charts now is 120 WPM (before it was 100).
	* Updated translations:
	- Danish.
	- Dutch.
	- Esperanto.
	- French.
	- German.
	- Portuguese.
	- Spanish.
	- Ukrainian.
	- Vietnamese.

2012-01-23 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.9.4
	* Added:
	- Spanish Dvorak layout: dvorak_es_nativo.kbd
	- Swiss layouts: qwertz_ch_de.kbd, qwertz_ch_fr.kbd 
	- General color configuration through the preferences.ini file.
	* Changed:
	- Detecting difficult keys through timing, not just errors.
	- Enabled fluidity practice with the complete text, not randomizing
	the paragraphs (set "0 paragraphs" to activate this).
	- Updated the man documentation, including a description for the
	configuration of colors.
	* Fixed:
	- Module velocity: on Windows, paragraphs in these lessons were broken.
	- Virtual keyboard: foreground of keys were fixed in black, to avoid
	issues with dark GTK themes.
	* Updated translations:
	- Czech
	- Danish
	- Dutch
	- Esperanto
	- Hungarian
	- Portuguese
	- Ukrainian
	- Vietnamese

2011-07-06 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.9.3
	* Added:
	- Canadian French Dvorak layout: dvorak_ca_fr.kbd
	* Fixed:
	- Several mistakes in Polish text data.
	- Making a duplicated qwerty_us layout the default for Polland.
	- Duplicating qwerty_us for China.
	- Moving qwerty_nb.kbd to qwerty_no.kbd.
	- Workaround to avoid Pango's wrapping-algorithm to mess up with the
	text when the cursor blinks.
	- Code cleanup (new warnings removed).
	- Adding autoconf checks for headers: curl/curl.h and gtkdatabox.h

2011-05-29 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.9.2
	* Added:
	- Canadian French (Quebec) layout: qwerty_ca_quebec.kbd
	* Fixed:
	- Editable basic lessons goes from 44 through 60 (corrected the tip in the
	editing button)
	* Updated translations:
	- French
	- Urdu
	- Vietnamese

2011-04-16 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.9.1
	* Fixed:
	- Portability for FreeBSD (and other systems).
	* Updated translations:
	- Simplified Chinese
	- Italian

2011-03-27 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.9.0
	* Added:
	- Some speech capability in modules basic, adapt and velo (depends
	on Espeak).
	- If speech is enabled, in basic module, speaks the finger to be
	used, after 3 seconds of "indecision".
	* Changed:
	- On-line game server now at SF.net, resetting the ranking.
	* Fixed:
	- Portability for Darwin systems (may break non-Linux and non-Windows
	systems...). See conditionals in configure.in and src/Makefile.am.
	* Updated translations:
	- Ukrainian
	- Esperanto
	- Portuguese
	- Hungarian
	- Danish 
	- Norwegian
	- Dutch

2011-02-16 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.8.1
	* Added:
	- Desktop file installation.
	- intltool infrastructure, to translate the desktop file comment.

2011-02-14 Felipe Castro (-) <fefcas@gmail.com>; Bod (=)

	* Release 1.8.0
	* Added translations:
	- Italian
	- Simplified Chinese
	* Changed:
	- 10 more slots for customized basic lessons (until 60).
	= Basic lessons character set random distribution improved to avoid
	too much repetition.
	* Fixed:
	- Message translation: "Local / External scores".
	- Typos: touches, minimum, recommendation.
	* Updated translations:
	- Dutch
	- Esperanto
	- Hungarian
	- Kazakh
	- Portuguese
	- Ukrainian

2011-01-23 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.7.5
	* Added:
	- Ukrainian translation
	- Ukrainian keyboard layout: jtsuken_ua
	* Changed:
	- Default keyboard layout for Polland, now is querty_us
	* Updated translations:
	- Dutch
	- Polish

2010-12-18 Felipe Castro (-) <fefcas@gmail.com>, Mattias Mailänder (=)

	* Release 1.7.4
	* Added:
	- Basque translation
	= Neo2 keyboard layout (kind of German Dvorak)
	* Updated translations:
	- Vietnamese
	- French

2010-10-30 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.7.3
	* "Fixed":
	- Removed gtkdatabox from the pkg-config way.
	* Updated translations:
	- Spanish

2010-09-26 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.7.2
	* Added:
	- Canadian multilingual kbd
	* Updated translations:
	- Galician.
	- German.
	- Norwegian.
	- Russian.
	- Urdu.

2010-08-23 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.7.1
	* Fixed:
	- Porting to MS-Windows again: included internerd ranking there.

2010-08-21 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.7.0
	* Fixed:
	- Internet ranking for AMD64 machines (gint ==> gint32).

2010-08-13 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.6.0
	* Added:
	- Kazakh translation.
	- Russian typewriter keyboard (by Sietse Brouwer).
	* Changed:
	- Reading alternative hands positioning file from
	/etc/klavaro/fingers_position.txt or $HOME/.config/klavaro/fingers_position.txt
	* Fixed:
	- French Dvorak BÉPO keyboard.
	- Not trying to rename old config directory to the newer one anylong (maybe
	  this solves Bug 439753 from Launchpad.net)
	- Code clean-up for the internet ranking.
	* Updated:
	- Danish translation.

2010-02-27 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.5.0
	* Changed:
	- Now error-profile exercises may be disabled in the adaptability
	module; one just has to toggle the little warning button at the top
	right corner.
	* Fixed:
	- Now checking for the math lib (libm) in the configure.in.
	- Hebrew keyboard layout (the old one was kept anyway).

2009-12-22 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.4.1
	* Added:
	- Norwegian Bokmål translation.

2009-11-19 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.4.0
	* Changed:
	- Not depending on libsexy anylong, using GTK+ 2.16 instead
	* Fixed:
	- Updating the Top10 scores after downloading the remote results.

2009-11-05 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.3.6
	* Updated translation:
	- Arabic.

2009-10-20 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.3.5
	* Added translation:
	- Arabic.

2009-10-10 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.3.4
	* Updated translation:
	- Czech.

2009-10-03 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.3.3
	* Fixed (maybe):
	- Crashing on language environment initialization (Ubuntu bug 439753).

2009-09-30 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.3.2
	* Updated translations:
	- Hungarian.
	- Danish.

2009-09-12 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.3.1
	* Updated translations:
	- Danish.
	- German.
	- Portuguese.
	- Esperanto.
	- Vietnamese.

2009-08-23 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.3.0
	* Added:
	- Parsing GTK command line options.
	* Changed:
	- Using mnemonics for buttons instead of hotkeys.
	* Fixed:
	- Strings and numbers together to allow translation for every language.
	- Code cleanup.

2009-08-13 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.2.4
	* Fixed:
	- Danish translation updated.
	- Esperanto translation updated.
	- Portuguese translation updated.
	- Vietnamese translation updated.

2009-08-07 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.2.3
	* Added:
	- Galician translation.
	* Fixed:
	- Hungarian translation updated.

2009-08-02 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.2.2
	* Added:
	- New kind of exercise in the adaptability module: character salad based on the error profile
	of the user. In order to reach that, the user should practice a little bit, accumulating more than
	200 errors (but not from the basic module, because they aren't accumulated there).
	- The colected errors are shown in the adaptability charts.
	- Double spaces after full stops are generated if the option 'double_spaces=true' is present
	in the section [tutor] of the 'preferences.ini' file; this affects only the fluidity module.
	- The colors of the blinking cursor may be modified through the 'preferences.ini' file. The
	format is like #FFFFFF for white and #000000 for black (RGB format). The variables are in the
	section [colors] and they are 'cursor_blink_bg' and 'cursor_blink_fg'.
	* Changed:
	- WPM calculation: new_WPM = 1.2 * old_WPM (so if you typed 50 WPM, now it will be 60 WPM!);
	but CPS wasn't affected.
	- In the fluidity module, the cursor blinks inverted, so that it will disappear if the user
	types fast and accurately, in a more natural way, closer to real typing.
	- User data now goes into the $XDG_DATA_HOME subdir ($HOME/.local/share/klavaro),
	but user configuration files remain in $XDG_CONFIG_HOME.
	- Eliminated scores from the /var/games subdir, so those data spread in the users' home dirs.
	- Accepting <ENTER> in place of spaces, due to the (GTK) "bug" that hides the cursor at
	the automatic line breakings (GTK justification eats the spaces at the ending of broken lines).
	- Comments for poor performance are not done, the user just gets an unhappy smiley :-( 
	* Fixed:
	- Velocity x Accuracy (mis)evaluation in the fluidness module.

2009-06-11 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.2.1
	* Added:
	- Danish translation.
	* Fixed:
	- German translation updated.
	- Vietnamese translation updated.

2009-05-18 Felipe Castro (-) <fefcas@gmail.com>

	* Release 1.2.0
	* Added:
	- Norwegian keyboard layout.
	- French Dvorak BÉPO keyboard layout.
	- Esperanto Dvorak keyboard layouts.
	* Changed:
	- Complete interface refactoring, towards simplification and good appeal.
	- New subdir for user data: $HOME/.config/klavaro
	- Simplified the internal code for most available languages (e.g. es_ES ==> es).
	- Code clean-up, replacing Glade-2 with GtkBuilder (and Glade-3).

# For previous changing logs, see version 1.1.91.
